Extending Qt Creator Manual | FindInFiles

Extending Qt Creator Manual 4.5.2

# FindInFiles Class

(TextEditor::FindInFiles)

Inherits: | TextEditor::BaseFileFind

- List of all members, including inherited members

## Public Functions

| FindInFiles()
| ~FindInFiles() override
Utils::FileName | directory() const
void | setBaseDirectory(const Utils::FileName &directory)
void | setDirectory(const Utils::FileName &directory)

## Reimplemented Public Functions

virtual QWidget * | createConfigWidget() override
virtual QString | displayName() const override
virtual QString | id() const override
virtual bool | isValid() const override
virtual void | readSettings(QSettings *settings) override
virtual void | writeSettings(QSettings *settings) override

- 6 public functions inherited from TextEditor::BaseFileFind
- 13 public functions inherited from Core::IFindFilter

## Signals

void | pathChanged(const QString &directory)

- 3 signals inherited from Core::IFindFilter

## Static Public Members

void | findOnFileSystem(const QString &path)
FindInFiles * | instance()

- 1 static public member inherited from TextEditor::BaseFileFind
- 2 static public members inherited from Core::IFindFilter

## Protected Functions

void | syncSearchEngineCombo(int selectedSearchEngineIndex) override

## Reimplemented Protected Functions

virtual QVariant | additionalParameters() const override
virtual Utils::FileIterator * | files(const QStringList &nameFilters, const QStringList &exclusionFilters, const QVariant &additionalParameters) const override
virtual QString | label() const override
virtual QString | toolTip() const override

- 6 protected functions inherited from TextEditor::BaseFileFind

### Additional Inherited Members

- 1 static protected member inherited from TextEditor::BaseFileFind

## Member Function Documentation

### FindInFiles::FindInFiles()

Default constructs an instance of FindInFiles.

### FindInFiles::~FindInFiles()

Destroys the instance of FindInFiles.

### `[override virtual protected]` QVariant FindInFiles::additionalParameters() const

### `[override virtual]` QWidget *FindInFiles::createConfigWidget()

### Utils::FileName FindInFiles::directory() const

See also setDirectory().

### `[override virtual]` QString FindInFiles::displayName() const

### `[override virtual protected]` Utils::FileIterator *FindInFiles::files(const QStringList &nameFilters, const QStringList &exclusionFilters, const QVariant &additionalParameters) const

### `[static]` void FindInFiles::findOnFileSystem(const QString &path)

### `[override virtual]` QString FindInFiles::id() const

### `[static]` FindInFiles *FindInFiles::instance()

### `[override virtual]` bool FindInFiles::isValid() const

### `[override virtual protected]` QString FindInFiles::label() const

### `[signal]` void FindInFiles::pathChanged(const QString &directory)

### `[override virtual]` void FindInFiles::readSettings(QSettings *settings)

### void FindInFiles::setBaseDirectory(const Utils::FileName &directory)

### void FindInFiles::setDirectory(const Utils::FileName &directory)

See also directory().

### `[protected]` void FindInFiles::syncSearchEngineCombo(int selectedSearchEngineIndex)

### `[override virtual protected]` QString FindInFiles::toolTip() const

### `[override virtual]` void FindInFiles::writeSettings(QSettings *settings)